4Suite™ API Documentation

# ► Module Ft.Server.Server.Drivers.Util

Driver utilities
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtssDriverUtility |  |  |  | Functions: CurrentTime |  |  |  | Fields: FTSERVER_NAMESPACE, RESERVED_NAMESPACE, XLINK_NAMESPACE, XSL_NAMESPACE

## Classes

class FtssDriverUtility

### Methods

aclToXml(self, acl)
generateUserDocDefStmts(self, ddPath, srcPath, justbuild=0)
generateUserXPathDocDefStmts(self, ddPath, ddUri, srcUri, srcPath, justbuild)
generateUserXsltDocDefStmts(self, ddPath, ddUri, srcUri, srcPath, justbuild)

## Functions

CurrentTime()

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'